Subject: bug#47264: RFE: pcre2 support

From: Jeffrey Walton <[email-masked]>
Date: Mon, 5 Apr 2021 04:31:38 -0400

On Mon, Apr 5, 2021 at 4:22 AM L A Walsh <[email-masked]> wrote:
>
> On 2021/03/19 14:04, Paul Eggert wrote:
> > On 3/19/21 8:22 AM, Jaroslav Skarvada wrote:
> >
> >> Please consider adding PCRE2 support.
> >>
> >
> > Patches would be welcome. As I understand it, they're not trivial.
> >
> ---
>     What are differences from 1->2 and wondering why they are
> so non-trivial?  I guess there are some benefits in moving
> to 2?
>
> Mostly curious...

I took a crack at converting grep to PCRE2 a couple of months ago.

There are lots of API differences. I estimate about 80% of the code
was going to be modified or changed for PCRE2. There's also a data
structure that needs to be modified.

I could not find a good document explaining the conversion process
from PCRE to PCRE2. I finally gave up after about 4 hours because I
lacked the necessary PCRE experience.

Someone more experienced with PCRE or PCRE2 can probably perform the
task in a few hours.

Jeff